{
===============================================================================
  Copyright (©) 2002. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 31-12-2002
  Versión actual: 1.0.0
  Fecha versión actual: 31-12-2002
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit ImprimirBeneficiosAnualesContratos;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RDXFRAME, RDXDBFRAME, StdCtrls, RdxComboBox, RdxBotones, RdxCampos,
  ExtCtrls, RdxBarras, RdxTitulos, InformeBeneficiosAnualesContratos, Configuracion,
  Grids, DBGrids, RdxPaneles, RdxRadioButton, VistaPrevia, AdvPanel,
  cxDBEdit, cxControls, cxContainer, cxEdit, cxTextEdit, cxMaskEdit,
  cxButtonEdit, cxDropDownEdit, cxCalendar, DB,
  cxLookupEdit, cxDBLookupEdit, cxDBLookupComboBox, IBCustomDataSet,
  IBQuery, Entidades;

type
  TfrImprimirBeneficiosAnualesContratos = class(TRdxDBFrame)
    pnlVistaPrevia: TPanel;
    pnlCuerpo: TPanel;
    pnlInforme: TAdvPanel;
    eAno: TLabel;
    pnlTitulo: TRdxPanelTituloOperacion;
    dsAno: TDataSource;
    TablaFacturasClienteAno: TIBQuery;
    cbxAno: TcxComboBox;
    procedure bCancelarClick(Sender: TObject);
    procedure bImprimirClick(Sender: TObject);
    procedure cbxAnoChange(Sender: TObject);
  private
    FInforme : TdmInformeBeneficiosAnualesContratos;
    FVistaPrevia : TfrVistaPrevia;
    procedure Refresco;
  protected
    procedure ActivarModoConsultar; override;
    function CloseFrame : Boolean; override;
    function CambiarEntidad(EntidadAnterior, Entidad : TRdxEntidad): Boolean; override;
  public
    constructor Create(AOwner : TComponent); override;
    destructor Destroy; override;
  published
  end;

var
  frImprimirBeneficiosAnualesContratos: TfrImprimirBeneficiosAnualesContratos;

implementation

{$R *.DFM}

uses
  Variants, RdxFrameFacturasCliente, FacturasClientes,
  DateFunc, Clientes, TablaFacturasCliente, Mensajes, StrFunc, InformeBase,
  TablaLibros, BaseDatos, Literales, TablaContratos;

constructor TfrImprimirBeneficiosAnualesContratos.Create(AOwner : TComponent);
begin
  inherited Create(AOwner);
  Entidad := entInformes;
  BaseDatos := dmBaseDatos.BD;
  Transaccion := dmBaseDatos.Transaccion;

  FVistaPrevia := TfrVistaPrevia.Create(Self);
  FVistaPrevia.Parent := pnlVistaPrevia;
  FInforme := TdmInformeBeneficiosAnualesContratos.Create(Self);

  cbxAno.Properties.Items := dmTablaContratos.DarListaAnos;
  cbxAno.Text := dmBaseDatos.darAno;
end;

procedure TfrImprimirBeneficiosAnualesContratos.bCancelarClick(Sender: TObject);
begin
  CloseFrame;
end;

destructor TfrImprimirBeneficiosAnualesContratos.Destroy;
begin
  FInforme.Free;
  inherited;
end;

procedure TfrImprimirBeneficiosAnualesContratos.bImprimirClick(Sender: TObject);
begin
//  FInformeLibro.Imprimir;
end;

function TfrImprimirBeneficiosAnualesContratos.CloseFrame: Boolean;
begin
  FInforme.Preview := NIL;
  (FVistaPrevia as TRdxFrame).CloseFrame;
  Result := inherited CloseFrame;
end;

procedure TfrImprimirBeneficiosAnualesContratos.refresco;
begin
  FInforme.FechaInicio := '01/01/' + cbxAno.Text;
  FInforme.FechaFin := '31/12/' + cbxAno.Text;
  FInforme.Preview := FVistaPrevia.Preview;
  FInforme.Previsualizar;
end;

procedure TfrImprimirBeneficiosAnualesContratos.ActivarModoConsultar;
begin
  Visible := True;
end;

procedure TfrImprimirBeneficiosAnualesContratos.cbxAnoChange(Sender: TObject);
begin
  refresco;
end;

function TfrImprimirBeneficiosAnualesContratos.CambiarEntidad(EntidadAnterior, Entidad: TRdxEntidad): Boolean;
begin
  inherited CambiarEntidad(EntidadAnterior, Entidad);
  ConfigurarFrame(Self, Self.Entidad);
end;

end.
